Skip to main content
GET
/
v1
/
batches
/
{batch_id}
/
items
/
{id}
Get one batch item
curl --request GET \
  --url https://api.runflow.io/v1/batches/{batch_id}/items/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sequence_index": 123,
  "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "client_ref": "<string>",
  "status_code": "<string>",
  "input": {},
  "cost": "<string>",
  "output": {},
  "error": {},
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "run": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "target_type": "model",
    "target_version": "<string>",
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status_code": "queued",
    "source_code": "playground",
    "input": {},
    "output": {},
    "context": {},
    "duration_ms": 123,
    "cost": "<string>",
    "cost_breakdown": {},
    "nodes_total": 123,
    "nodes_completed": 123,
    "resolved_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "client_ref": "<string>",
    "jurisdiction_code": "<string>",
    "flow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "request_id": "<string>",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "callback_url": "<string>",
    "metadata": {},
    "has_logs": true,
    "has_node_runs": true,
    "links": {},
    "failure_code": "<string>",
    "failure_message": "<string>",
    "failure_stage_code": "dispatch",
    "node_runs": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "state_code": "<string>",
        "input": {},
        "output": {},
        "input_signature": "<string>",
        "preview_type": "<string>",
        "preview_value": "<string>",
        "duration_ms": 123,
        "cost": "<string>",
        "retry_count": 123,
        "error_message": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "started_at": "2023-11-07T05:31:56Z",
        "completed_at": "2023-11-07T05:31:56Z"
      }
    ],
    "logs": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "level_code": "<string>",
        "message": "<string>",
        "timestamp": "2023-11-07T05:31:56Z",
        "meta": {},
        "run": null
      }
    ],
    "model": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "version": "<string>",
      "is_public": true,
      "is_open_source": true,
      "icon_url": "<string>",
      "cover_url": "<string>",
      "category_code": "<string>",
      "status_code": "<string>",
      "family_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "family_variant_code": "<string>",
      "param_count": "<string>",
      "architecture": "<string>",
      "license_code": "<string>",
      "max_resolution": "<string>",
      "lora_support": true,
      "fine_tuning": true,
      "supports_streaming": true,
      "paper_url": "<string>",
      "github_url": "<string>",
      "is_official": true,
      "availability_status": "<string>",
      "seo": {},
      "notable_features": [
        "<unknown>"
      ],
      "content": "<string>",
      "pricing_note": "<string>",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "inputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "variable_type_code": "<string>",
          "default_behavior_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "is_required": true,
          "default_value": {},
          "sort_order": 123,
          "is_featured": true,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "outputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "variable_type_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "examples": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "description": "<string>",
          "input": {},
          "output": {},
          "status_code": 123,
          "cost": "<string>",
          "start_type": "<string>",
          "timing": {},
          "duration_ms": 123,
          "total_ms": 123,
          "thumbnail_url": "<string>",
          "category_code": "<string>",
          "is_featured": true,
          "is_public": true,
          "sort_order": 123,
          "ran_at": "2023-11-07T05:31:56Z",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "faq_entries": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "question": "<string>",
          "answer": "<string>",
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "pricing": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "pricing_model_code": "<string>",
          "rule_effect_code": "<string>",
          "model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "match_value": null,
          "dimension_code": "<string>",
          "min_value": "<string>",
          "max_value": "<string>",
          "price": "<string>",
          "currency_code": "<string>",
          "unit_code": "<string>",
          "multiplier_label": "<string>",
          "description": "<string>",
          "sort_order": 123,
          "disabled_at": "2023-11-07T05:31:56Z",
          "measurement_source": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "related_links": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.runflow.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

batch_id
string<uuid>
required
id
string<uuid>
required

Query Parameters

fields
string | null
embed
string | null

Response

Successful Response

Response shape for /v1/batches/{id}/items[/{item_id}].

The flat fields (client_ref, status_code, input, cost, output, error, timestamps) are projected from runs via the items read model — the router layer populates them; the bare ORM row only carries id/batch_id/sequence_index/run_id/created_at.

id
string<uuid> | null
batch_id
string<uuid> | null
sequence_index
integer | null
run_id
string<uuid> | null
created_at
string<date-time> | null
client_ref
string | null
status_code
string | null
input
Input · object
cost
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
output
Output · object
error
Error · object
started_at
string<date-time> | null
completed_at
string<date-time> | null
run
FullValidator · object

Response shape.